# Uses of Class
jdk.management.jfr.SettingDescriptorInfo

Packages that use SettingDescriptorInfo
Package
Description
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of SettingDescriptorInfo in jdk.management.jfr

Methods in jdk.management.jfr that return SettingDescriptorInfo
Modifier and Type
Method
Description
`static SettingDescriptorInfo`
SettingDescriptorInfo.`from​(CompositeData cd)`
Returns an `SettingDescriptorInfo` represented by the specified `CompositeData`
Methods in jdk.management.jfr that return types with arguments of type SettingDescriptorInfo
Modifier and Type
Method
Description
`List<SettingDescriptorInfo>`
EventTypeInfo.`getSettingDescriptors()`
Returns settings for the event type associated with this `EventTypeInfo`.